For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
API StatusPartner Portal
HomeGuidesAPI ExplorerSDKsGitHubSupport
HomeGuidesAPI ExplorerSDKsGitHubSupport
  • API Concepts
    • Overview
    • Environments and URLs
    • Authentication
    • API versioning
    • Rate limiting
    • HTTP headers
    • Pagination, sorting, and filtering
  • General
  • Common
  • Accounts payable
  • Accounts receivable
  • E-invoicing
  • Payments
      • GETGet an entity's payment methods
      • PUTEnable payment methods for an entity
  • Accounting integration
  • Expense management
  • Utilities
LogoLogo
API StatusPartner Portal
PaymentsPayment methods

Get an entity's payment methods

GET
/entities/:entity_id/payment_methods
GET
/v1/entities/:entity_id/payment_methods
$curl https://api.sandbox.monite.com/v1/entities/entity_id/payment_methods \
> -H "x-monite-version: 2024-05-25" \
> -H "Authorization: Bearer <token>"
1{
2 "data": [
3 {
4 "direction": "receive",
5 "name": "SEPA Payments",
6 "status": "active",
7 "type": "sepa_credit"
8 }
9 ]
10}
Returns a list of payments methods that have been previously requested by the entity via [`PUT /entities/{entity_id}/payment_methods`](https://docs.monite.com/api/payment-methods/put-entities-id-payment-methods). For a list of all payment methods supported by Monite, see [Payment methods](https://docs.monite.com/payments/payment-methods). Payment methods with the `active` status can be used immediately, whereas `inactive` payment methods require that the entity first completes the [onboarding](https://docs.monite.com/payments/onboarding/index) required by those methods.
Was this page helpful?
Previous

Enable payment methods for an entity

Next
Built with

Returns a list of payments methods that have been previously requested by the entity via PUT /entities/{entity_id}/payment_methods. For a list of all payment methods supported by Monite, see Payment methods.

Payment methods with the active status can be used immediately, whereas inactive payment methods require that the entity first completes the onboarding required by those methods.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

entity_idstringRequired
ID of the entity whose payment methods you want to get.

Headers

x-monite-versionstringRequired

Response

Successful Response
datalist of objects

Errors

401
Get Entities ID Payment Methods Request Unauthorized Error
422
Get Entities ID Payment Methods Request Unprocessable Entity Error
429
Get Entities ID Payment Methods Request Too Many Requests Error